Locale::getDefault
Locale::getDisplayName
Locale
PHP Manual

# Locale::getDisplayLanguage

# locale_get_display_language

(No version information available, might be only in CVS)

Locale::getDisplayLanguage -- locale_get_display_language — Returns an appropriately localized display name for language of the inputlocale

### Description

Object oriented style

static string Locale::getDisplayLanguage ( string `$locale` [, string `$in_locale` ] )

Procedural style

string locale_get_display_language ( string `$locale` [, string `$in_locale` ] )

Returns an appropriately localized display name for language of the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display language for

`in_locale`

  Optional format locale to use to display the language name

### Return Values

display name of the language for the $locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_language() example

`<?php
echo locale_get_display_language('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_language('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_language('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayLanguage('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayLanguage('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayLanguage('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Slovenian;
    slov\xc3\xa8ne;
    Slowenisch

### See Also

- locale_get_display_name()
- locale_get_display_script()
- locale_get_display_region()
- locale_get_display_variant()

Locale::getDefault
Locale::getDisplayName
Locale
PHP Manual